Skip to main content
PATCH
/
admin
/
tiers
/
organizations
/
{org_id}
Error
A valid request URL is required to generate request examples
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "organization_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "tier_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "max_concurrent_workflows": 123,
  "max_action_executions_per_workflow": 123,
  "max_concurrent_actions": 123,
  "api_rate_limit": 123,
  "api_burst_capacity": 123,
  "entitlement_overrides": {
    "custom_registry": true,
    "git_sync": true,
    "agent_addons": true,
    "case_addons": true,
    "rbac_addons": true,
    "service_accounts": true,
    "workspace_chat": true,
    "watchtower": true
  },
  "stripe_customer_id": "<string>",
  "stripe_subscription_id": "<string>",
  "expires_at": "2023-11-07T05:31:56Z",
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z",
  "tier": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "display_name": "<string>",
    "max_concurrent_workflows": 123,
    "max_action_executions_per_workflow": 123,
    "max_concurrent_actions": 123,
    "api_rate_limit": 123,
    "api_burst_capacity": 123,
    "entitlements": {
      "custom_registry": true,
      "git_sync": true,
      "agent_addons": true,
      "case_addons": true,
      "rbac_addons": true,
      "service_accounts": true,
      "workspace_chat": true,
      "watchtower": true
    },
    "is_default": true,
    "sort_order": 123,
    "is_active": true,
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z"
  }
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}

Authorizations

fastapiusersauth
string
cookie
required

Path Parameters

org_id
string<uuid>
required

Body

application/json

Update organization tier assignment request.

tier_id
string<uuid> | null
max_concurrent_workflows
integer | null
max_action_executions_per_workflow
integer | null
max_concurrent_actions
integer | null
api_rate_limit
integer | null
api_burst_capacity
integer | null
entitlement_overrides
EntitlementsDict · object | null

TypedDict for tier entitlements stored in JSONB.

All keys are optional (total=False) to support partial overrides.

stripe_customer_id
string | null
stripe_subscription_id
string | null
expires_at
string<date-time> | null

Response

Successful Response

Organization tier assignment response.

id
string<uuid>
required
organization_id
string<uuid>
required
tier_id
string<uuid>
required
max_concurrent_workflows
integer | null
required
max_action_executions_per_workflow
integer | null
required
max_concurrent_actions
integer | null
required
api_rate_limit
integer | null
required
api_burst_capacity
integer | null
required
entitlement_overrides
EntitlementsDict · object | null
required

TypedDict for tier entitlements stored in JSONB.

All keys are optional (total=False) to support partial overrides.

stripe_customer_id
string | null
required
stripe_subscription_id
string | null
required
expires_at
string<date-time> | null
required
created_at
string<date-time>
required
updated_at
string<date-time>
required
tier
TierRead · object | null

Tier response schema.